API
Wikidata API
The AI-powered Wikidata Entities Monitor provides 360° Global Media Data & Intelligence on Wikidata is a collaboratively maintained knowledge base with more than 121 million items covering people, organizations, places, works, and concepts. It is important for entity resolution, knowledge graphs, search enrichment, and structured research.
APIリファレンス バージョン: 1.0.0 10 エンドポイント 認証
ベース URL
https://pressmonitor.com/api 認証
すべてのリクエストには x-api-key と x-subscription-id ヘッダーが必要です。x-api-key はアカウントを認証し、x-subscription-id は購読サービスを選択します。
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/suggest_entities Suggest Entities
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| query_text | string | query | はい | Query Text |
| lang | string | query | いいえ | Lang |
| limit | string | query | いいえ | Limit |
| offset | string | query | いいえ | Offset |
コード例
curl -X GET \
"https://pressmonitor.com/api/suggest_entities?query_text=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/search/by_label Search Entities By Label
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| query_text | string | query | はい | Query Text |
| lang | string | query | いいえ | Lang |
| limit | string | query | いいえ | Limit |
| offset | string | query | いいえ | Offset |
コード例
curl -X GET \
"https://pressmonitor.com/api/search/by_label?query_text=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/search/by_description Search Entities By Description
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| query_text | string | query | はい | Query Text |
| lang | string | query | いいえ | Lang |
| limit | string | query | いいえ | Limit |
| offset | string | query | いいえ | Offset |
コード例
curl -X GET \
"https://pressmonitor.com/api/search/by_description?query_text=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/search/by_type Search Entities By Type
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| type | string | query | はい | Type |
| query_text | string | query | いいえ | Query Text |
| lang | string | query | いいえ | Lang |
| limit | string | query | いいえ | Limit |
| offset | string | query | いいえ | Offset |
コード例
curl -X GET \
"https://pressmonitor.com/api/search/by_type?type=VALUE&query_text=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/search/by_claim Search Entities By Claim Value
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| property | string | query | はい | Property |
| value | string | query | いいえ | Value |
| mode | string | query | いいえ | Mode |
| lang | string | query | いいえ | Lang |
| limit | string | query | いいえ | Limit |
| offset | string | query | いいえ | Offset |
コード例
curl -X GET \
"https://pressmonitor.com/api/search/by_claim?property=VALUE&value=VALUE&mode=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/find/by_property Search Entities By Property
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| property | string | query | はい | Property |
| value | string | query | いいえ | Value |
| qualifier | string | query | いいえ | Qualifier |
| rank | string | query | いいえ | Rank |
| lang | string | query | いいえ | Lang |
| limit | string | query | いいえ | Limit |
| offset | string | query | いいえ | Offset |
コード例
curl -X GET \
"https://pressmonitor.com/api/find/by_property?property=VALUE&value=VALUE&qualifier=VALUE&rank=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/search/temporal Search Entities By Date Range
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| property | string | query | はい | Property |
| from | string | query | いいえ | From |
| to | string | query | いいえ | To |
| value | string | query | いいえ | Value |
| lang | string | query | いいえ | Lang |
| limit | string | query | いいえ | Limit |
| offset | string | query | いいえ | Offset |
コード例
curl -X GET \
"https://pressmonitor.com/api/search/temporal?property=VALUE&from=VALUE&to=VALUE&value=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/entities/$0 Get Entity By Id
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| wikidata_id | string | query | はい | Wikidata Id |
| lang | string | query | いいえ | Lang |
コード例
curl -X GET \
"https://pressmonitor.com/api/entities/$0?wikidata_id=VALUE&lang=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/entities/$0/claims Get Entity Claims
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| wikidata_id | string | query | はい | Wikidata Id |
| lang | string | query | いいえ | Lang |
| limit | string | query | いいえ | Limit |
| offset | string | query | いいえ | Offset |
コード例
curl -X GET \
"https://pressmonitor.com/api/entities/$0/claims?wikidata_id=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/properties Get Properties
コード例
curl -X GET \
"https://pressmonitor.com/api/properties" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success